#### D.4.16.18 SetDeg

Procedure from library `modules.lib` (see modules_lib).

Usage:
  SetDeg(l), l list or intvec

Return:
  nothing, saves own degrees for the different variables of the basering

Note:
  should be used after declaration of the ring and shouldn't be changed afterwards

Example:

    LIB "modules.lib";
    ring r;
    Deg(x);
    ==> 1
    list l=2,2,2;
    SetDeg(l);
    Deg(x);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.